Please upgrade the JAVA with 1.7.X then it will be working.


Thanks & Regards

Adeel Akbar

On 10/8/2012 1:36 PM, Thierry Templier wrote:
Hello,

I would want to upgrade Cassandra to version 1.1.5 but I have a problem when trying to start this version:

$ ./cassandra -f
xss =  -ea -javaagent:./../lib/jamm-0.2.5.jar -XX:+UseThreadPriorities -XX:ThreadPriorityPolicy=42 -Xms1024M -Xmx1024M -Xmn256M -XX:+HeapDumpOnOutOfMemoryError -Xss180k
Segmentation fault

Here is the Java version I used:

$ java -version
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.4) (6b24-1.11.4-1ubuntu0.10.04.1)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

Thanks very much for your help!
Thierry